#include <opencv2/opencv.hpp> 
#include <iostream> 
#include <string> 
#include <vector>
using namespace cv; using namespace std;
 int main( int argc, char** argv )
 {
    VideoCapture cap(0); //capture the video from web cam
    if ( !cap.isOpened() ) // if not success, exit program
    {
         cout << "Cannot open the web cam" << endl;
         return -1;
    }
string name_img;
  int iLowH = 0;
 int iHighH = 179;
  int iLowS = 0;
 int iHighS = 255;
  int iLowV = 0;
 int iHighV = 255; 
    while (true)
    {
        Mat imgOriginal;
        bool bSuccess = cap.read(imgOriginal); // read a new frame from video
         if (!bSuccess) //if not success, break loop
        {
             cout << "Cannot read a frame from video stream" << endl;
             break;
        }
  Mat hsv_image;
   cvtColor(imgOriginal, hsv_image, COLOR_BGR2HSV); //Convert the captured frame from BGR to HSV 
// Threshold the HSV image, keep only the red pixels 
Mat red_hue_image; 
inRange(hsv_image, cv::Scalar(0, 50, 100), cv::Scalar(10, 255, 255), red_hue_image);
 // Combine the above two images 
Mat NonZero_Locations; 
int Number_Of_Elements; 
GaussianBlur(red_hue_image, red_hue_image, cv::Size(9, 9), 2, 2); 
// Threshold the HSV image, keep only the blue pixels 
Mat blue_hue_image; 
inRange(hsv_image,cv::Scalar(110,50,50),cv::Scalar(130,255,255),blue_hue_image); 
// Combine the above two images 
Mat NonZero_Locations2; 
int Number_Of_Elements2; 
GaussianBlur(blue_hue_image, blue_hue_image, cv::Size(9, 9), 2, 2); 
// Threshold the HSV image, keep only the green pixels 
Mat green_hue_image; 
inRange(hsv_image,cv::Scalar(60,100,100),cv::Scalar(60,255,255),green_hue_image); 
// Combine the above two images
 Mat NonZero_Locations3; 
int Number_Of_Elements3; 
GaussianBlur(green_hue_image, green_hue_image, cv::Size(9, 9), 2, 2); 
//prints results
 cv::findNonZero(red_hue_image,NonZero_Locations); 
Number_Of_Elements = NonZero_Locations.total(); 
if (Number_Of_Elements > 1000) {
	cout << "find red!" << endl;
	
}
cv::findNonZero(blue_hue_image, NonZero_Locations2); 
Number_Of_Elements2 = NonZero_Locations2.total(); 
if (Number_Of_Elements2 > 1000) {
        cout << "find blue!" << endl;
       
}
cv::findNonZero(green_hue_image, NonZero_Locations3); 
Number_Of_Elements3 = NonZero_Locations3.total(); 
if (Number_Of_Elements3 > 1000) {
        cout << "find green!" << endl;
       }
}
return 0;
}
